=== test/gtx/CMakeLists.txt ===
glmCreateTestGTC(gtx-bit)
glmCreateTestGTC(gtx-noise)
glmCreateTestGTC(gtx-simd-vec4)
glmCreateTestGTC(gtx-simd-mat4)
glmCreateTestGTC(gtx-ulp)
