=== debian/changelog ===
glm (0.9.2.0-2) unstable; urgency=low

  * Fix grammar in the package description.
  * Set section of libglm-doc to doc.

 -- Guus Sliepen <guus@debian.org>  Tue, 17 May 2011 10:21:57 +0200

glm (0.9.2.0-1) unstable; urgency=low

  * Initial release.

 -- Guus Sliepen <guus@debian.org>  Mon, 16 May 2011 14:55:26 +0200
