## glm 0.9.2.6

=== debian/changelog ===
glm (0.9.2.6-1) unstable; urgency=low

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Tue, 04 Oct 2011 14:10:36 +0200
