## glm 0.9.2.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,14 +5,18 @@
 enable_testing()
 
 add_definitions(-D_CRT_SECURE_NO_WARNINGS)
-#add_definitions(-pedantic)
-#add_definitions(-S)
-#add_definitions(-s)
-#add_definitions(-msse2)
-#add_definitions(-m32)
-#add_definitions(-mfpmath=387)
-#add_definitions(-ffast-math)
-#add_definitions(-O3)
+
+if(CMAKE_COMPILER_IS_GNUCXX)
+	#add_definitions(/Za)
+	#add_definitions(-pedantic)
+	#add_definitions(-S)
+	#add_definitions(-s)
+	add_definitions(-msse2)
+	#add_definitions(-m32)
+	#add_definitions(-mfpmath=387)
+	#add_definitions(-ffast-math)
+	#add_definitions(-O3)
+endif()
 
 include_directories(".")
