=== test/gtx/CMakeLists.txt ===
glmCreateTestGTC(gtx_bit)
glmCreateTestGTC(gtx_noise)
glmCreateTestGTC(gtx_quaternion)
glmCreateTestGTC(gtx_random)
glmCreateTestGTC(gtx_rotate_vector)
glmCreateTestGTC(gtx_simd_vec4)
glmCreateTestGTC(gtx_simd_mat4)
glmCreateTestGTC(gtx_string_cast)
glmCreateTestGTC(gtx_ulp)
glmCreateTestGTC(gtx_vector_angle)
