=== debian/changelog ===
glm (0.9.2.7-1) unstable; urgency=low

  * New upstream release.
  * Don't install jquery.js, it is not used anyway.

 -- Guus Sliepen <guus@debian.org>  Sat, 12 Nov 2011 16:09:24 +0100
