## glm 0.9.3.1

=== debian/changelog ===
glm (0.9.3.1-1) unstable; urgency=low

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Mon, 30 Jan 2012 12:31:46 +0100
