## glm 0.9.3.2

=== debian/changelog ===
glm (0.9.3.2-1) unstable; urgency=low

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Wed, 21 Mar 2012 00:14:12 +0100
