## glm 0.9.3.3

=== debian/changelog ===
glm (0.9.3.3-1) unstable; urgency=low

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Mon, 25 Jun 2012 22:55:53 +0200
