=== test/gtc/CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,9 @@
 glmCreateTestGTC(gtc_matrix_integer)
 glmCreateTestGTC(gtc_matrix_inverse)
 glmCreateTestGTC(gtc_matrix_transform)
+glmCreateTestGTC(gtc_noise)
 glmCreateTestGTC(gtc_quaternion)
+glmCreateTestGTC(gtc_random)
 glmCreateTestGTC(gtc_swizzle)
 glmCreateTestGTC(gtc_type_precision)
 glmCreateTestGTC(gtc_type_ptr)
