=== test/gtx/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,7 @@
 glmCreateTestGTC(gtx_bit)
+glmCreateTestGTC(gtx_gradient_paint)
+glmCreateTestGTC(gtx_integer)
+glmCreateTestGTC(gtx_matrix_query)
 glmCreateTestGTC(gtx_noise)
 glmCreateTestGTC(gtx_quaternion)
 glmCreateTestGTC(gtx_random)
@@ -8,3 +11,4 @@
 glmCreateTestGTC(gtx_string_cast)
 glmCreateTestGTC(gtx_ulp)
 glmCreateTestGTC(gtx_vector_angle)
+glmCreateTestGTC(gtx_vector_query)
