=== debian/changelog ===
glm (0.9.3.3+dfsg-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Repack without non DFSG-free material. Closes: #685232

 -- David Prévot <taffit@debian.org>  Thu, 30 Aug 2012 23:34:20 -0400
