## glm 0.9.4.3

=== debian/changelog ===
glm (0.9.4.3-1) unstable; urgency=low

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Sun, 05 May 2013 10:45:59 +0200
