## glm 0.9.4.4

=== debian/changelog ===
glm (0.9.4.4-1ubuntu1) saucy; urgency=low

  * Mark libglm-dev Multi-Arch: foreign, to satisfy the deps of foreign-arch
    reverse-dependencies (e.g., libmirserver-dev).

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 09 Oct 2013 13:25:58 -0700

glm (0.9.4.4-1) unstable; urgency=low

  * New upstream release.
  * Run build-time tests. Closes: #707536

 -- Guus Sliepen <guus@debian.org>  Thu, 18 Jul 2013 12:46:46 +0200
