=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: glm
 Priority: extra
-Maintainer: Guus Sliepen <guus@debian.org>
-Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.9.3
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Guus Sliepen <guus@debian.org>
+Build-Depends: debhelper (>= 7.0.50~), cmake
+Standards-Version: 3.9.4
 Section: libs
 Homepage: http://glm.g-truc.net/
 
 Package: libglm-dev
 Section: libdevel
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: C++ library for OpenGL GLSL type-based mathematics
  OpenGL Mathematics (GLM) is a header only C++ mathematics library for graphics
