## glm 0.9.4.6

=== debian/changelog ===
glm (0.9.4.6-2) unstable; urgency=low

  [ Steve Langasek ]
  * Add Multi-Arch: foreign header to facilitate cross-compilation.

 -- Guus Sliepen <guus@debian.org>  Wed, 09 Oct 2013 23:07:07 +0200

glm (0.9.4.6-1) unstable; urgency=low

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Mon, 30 Sep 2013 00:00:39 +0200

glm (0.9.4.5-1) unstable; urgency=low

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Sun, 18 Aug 2013 16:18:00 +0200
