=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: glm
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Guus Sliepen <guus@debian.org>
+Maintainer: Guus Sliepen <guus@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), cmake
 Standards-Version: 3.9.4
 Section: libs
