=== test/core/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,7 @@
+glmCreateTestGTC(core_type_cast)
 glmCreateTestGTC(core_type_float)
-glmCreateTestGTC(core_type_half)
 glmCreateTestGTC(core_type_int)
+glmCreateTestGTC(core_type_length)
 glmCreateTestGTC(core_type_mat2x2)
 glmCreateTestGTC(core_type_mat2x3)
 glmCreateTestGTC(core_type_mat2x4)
@@ -23,6 +24,7 @@
 glmCreateTestGTC(core_func_packing)
 glmCreateTestGTC(core_func_trigonometric)
 glmCreateTestGTC(core_func_vector_relational)
+glmCreateTestGTC(core_func_swizzle)
 glmCreateTestGTC(core_setup_message)
 glmCreateTestGTC(core_setup_precision)
