=== debian/changelog ===
glm (0.9.5.1-1) unstable; urgency=medium

  * New upstream release.
    - Fixes attempt to access private class members. Closes: #736264
  * Apply commit d7862e4 from upstream to prevent the tests from trying to use
    SSE2 instructions on platforms that don't support them. Closes: #735270

 -- Guus Sliepen <guus@debian.org>  Wed, 05 Feb 2014 16:47:42 +0100

glm (0.9.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version.

 -- Guus Sliepen <guus@debian.org>  Tue, 07 Jan 2014 14:49:22 +0100
