=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,4 @@
 	dh $@ 
 
 override_dh_auto_configure:
-	
-override_dh_auto_build:
-
-override_dh_auto_clean:
+	dh_auto_configure -- -DGLM_TEST_ENABLE=ON
