## glm 0.9.5.3

=== debian/changelog ===
glm (0.9.5.3-1) unstable; urgency=medium

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Fri, 16 May 2014 12:21:49 +0200

glm (0.9.5.2-1) unstable; urgency=medium

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Tue, 04 Mar 2014 14:01:01 +0100
