=== util/CMakeLists.txt ===
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/FindGLM.cmake
        DESTINATION ${CMAKE_INSTALL_FULL_LIBDIR}/cmake)
