=== debian/changelog ===
glm (0.9.5.4-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version.

 -- Guus Sliepen <guus@debian.org>  Mon, 06 Oct 2014 14:30:41 +0200
