=== debian/watch ===
version=3
http://sf.net/ogl-math/glm-([0-9.]*)\.zip
