## glm 0.9.6.3

=== debian/changelog ===
glm (0.9.6.3-1) unstable; urgency=medium

  * New upstream release. Closes: #766154

 -- Guus Sliepen <guus@debian.org>  Mon, 20 Apr 2015 13:19:12 +0200
