=== test/gtx/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 glmCreateTestGTC(gtx_associated_min_max)
-glmCreateTestGTC(gtx_bit)
 glmCreateTestGTC(gtx_closest_point)
 glmCreateTestGTC(gtx_color_space_YCoCg)
 glmCreateTestGTC(gtx_color_space)
+glmCreateTestGTC(gtx_common)
 glmCreateTestGTC(gtx_compatibility)
 glmCreateTestGTC(gtx_component_wise)
 glmCreateTestGTC(gtx_euler_angle)
@@ -13,17 +13,17 @@
 glmCreateTestGTC(gtx_fast_trigonometry)
 glmCreateTestGTC(gtx_gradient_paint)
 glmCreateTestGTC(gtx_handed_coordinate_space)
-glmCreateTestGTC(gtx_inertia)
 glmCreateTestGTC(gtx_integer)
 glmCreateTestGTC(gtx_intersect)
 glmCreateTestGTC(gtx_io)
 glmCreateTestGTC(gtx_log_base)
 glmCreateTestGTC(gtx_matrix_cross_product)
+glmCreateTestGTC(gtx_matrix_decompose)
 glmCreateTestGTC(gtx_matrix_interpolation)
 glmCreateTestGTC(gtx_matrix_major_storage)
 glmCreateTestGTC(gtx_matrix_operation)
 glmCreateTestGTC(gtx_matrix_query)
-glmCreateTestGTC(gtx_multiple)
+glmCreateTestGTC(gtx_matrix_transform_2d)
 glmCreateTestGTC(gtx_norm)
 glmCreateTestGTC(gtx_normal)
 glmCreateTestGTC(gtx_normalize_dot)
@@ -35,12 +35,16 @@
 glmCreateTestGTC(gtx_projection)
 glmCreateTestGTC(gtx_quaternion)
 glmCreateTestGTC(gtx_dual_quaternion)
+glmCreateTestGTC(gtx_range)
 glmCreateTestGTC(gtx_rotate_normalized_axis)
 glmCreateTestGTC(gtx_rotate_vector)
+glmCreateTestGTC(gtx_scalar_multiplication)
 glmCreateTestGTC(gtx_scalar_relational)
 glmCreateTestGTC(gtx_simd_vec4)
 glmCreateTestGTC(gtx_simd_mat4)
 glmCreateTestGTC(gtx_spline)
 glmCreateTestGTC(gtx_string_cast)
+glmCreateTestGTC(gtx_type_aligned)
 glmCreateTestGTC(gtx_vector_angle)
 glmCreateTestGTC(gtx_vector_query)
+glmCreateTestGTC(gtx_wrap)
