=== debian/changelog ===
glm (0.9.7.2-1) unstable; urgency=medium

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Sun, 24 Jan 2016 22:49:41 +0100

glm (0.9.7.1-1) unstable; urgency=medium

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Sun, 20 Sep 2015 14:38:03 +0200

glm (0.9.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/watch file to look for releases on GitHub.
  * Use a symlink to the libjs-jquery package for jquery.js.
  * Update debian/copyright.
  * Enable dh --parallel.

 -- Guus Sliepen <guus@debian.org>  Wed, 02 Sep 2015 16:16:54 +0200
