=== debian/control ===
--- 
+++ 
@@ -33,6 +33,7 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
+Recommends: libjs-jquery
 Description: documentation for the OpenGL Mathematics (GLM) library
  OpenGL Mathematics (GLM) is a header only C++ mathematics library for graphics
  software based on the OpenGL Shading Language (GLSL) specification.
