=== debian/watch ===
version=3
https://github.com/g-truc/glm/releases .*/glm-(\d\S*)\.zip
