=== debian/changelog ===
glm (0.9.7.5-1) unstable; urgency=medium

  * New upstream release.
  * Add a glm.pc file. Closes: #737088
  * Bump Standards-Version.

 -- Guus Sliepen <guus@debian.org>  Mon, 30 May 2016 12:43:03 +0200

glm (0.9.7.4-1) unstable; urgency=medium

  * New upstream release.
  * Install .cmake files in /usr/lib/cmake/glm. Closes: #812855

 -- Guus Sliepen <guus@debian.org>  Wed, 06 Apr 2016 15:58:47 +0200

glm (0.9.7.3-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/watch to use xz compression.
  * Bump Standards-Version.

 -- Guus Sliepen <guus@debian.org>  Wed, 24 Feb 2016 16:39:20 +0100
