=== debian/rules ===
--- 
+++ 
@@ -8,3 +8,6 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- -DGLM_TEST_ENABLE=ON
+
+override_dh_auto_build:
+	dh_auto_build -- CMAKE_INSTALL_PREFIX=/usr/lib/cmake
