=== debian/changelog ===
glm (0.9.8.3-3) unstable; urgency=medium

  * Fix FTBFS on i386. Closes: 860701

 -- Guus Sliepen <guus@debian.org>  Wed, 19 Apr 2017 16:39:23 +0200

glm (0.9.8.3-2) unstable; urgency=medium

  * Team upload

  [ Ghislain Antony Vaillant ]
  * Clear old patch queue, no longer needed
  * Fix CMake detection on all architectures
    - New patch Fix-CMake-package-version-file.patch (Closes: #850277, #850243)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Wed, 11 Jan 2017 23:58:59 +0000

glm (0.9.8.3-1) unstable; urgency=medium

  * New upstream version 0.9.8.3
  * Bump debian/compat.

 -- Guus Sliepen <guus@debian.org>  Wed, 07 Dec 2016 16:27:40 +0100

glm (0.9.8.1-1) unstable; urgency=medium

  * New upstream version 0.9.8.1

 -- Guus Sliepen <guus@debian.org>  Thu, 06 Oct 2016 15:19:26 +0200

glm (0.9.8.0-1) unstable; urgency=medium

  [ Ghislain Antony Vaillant ]
  * Add gbp configuration file.
  * Run cme fix on d/control and d/copyright.
  * Move maintenance over to the Debian Science Team.

  [ Guus Sliepen ]
  * New upstream version 0.9.8.0

 -- Guus Sliepen <guus@debian.org>  Fri, 23 Sep 2016 14:16:07 +0200

glm (0.9.7.6-1) unstable; urgency=medium

  [ Guus Sliepen ]
  * New upstream release.

  [ Ghislain Antony Vaillant ]
  * Fix CMake package installation. Closes: #827799
  * Enable testing depending on nocheck.
  * Add packaging testsuite.

 -- Guus Sliepen <guus@debian.org>  Wed, 24 Aug 2016 22:07:20 +0200
