=== debian/control ===
--- 
+++ 
@@ -1,15 +1,20 @@
 Source: glm
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Guus Sliepen <guus@debian.org>
+Section: libs
+Testsuite: autopkgtest
 Priority: extra
-Maintainer: Guus Sliepen <guus@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), cmake
+Build-Depends: debhelper (>= 10),
+               cmake
 Standards-Version: 3.9.8
-Section: libs
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/glm.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/glm.git
 Homepage: http://glm.g-truc.net/
 
 Package: libglm-dev
-Section: libdevel
 Architecture: all
 Multi-Arch: foreign
+Section: libdevel
 Depends: ${misc:Depends}
 Description: C++ library for OpenGL GLSL type-based mathematics
  OpenGL Mathematics (GLM) is a header only C++ mathematics library for graphics
@@ -30,8 +35,8 @@
  convenient mathematics library.
 
 Package: libglm-doc
+Architecture: all
 Section: doc
-Architecture: all
 Depends: ${misc:Depends}
 Recommends: libjs-jquery
 Description: documentation for the OpenGL Mathematics (GLM) library
