## glm 0.9.8.4

=== debian/changelog ===
glm (0.9.8.4-1) unstable; urgency=medium

  * New upstream release.
  * Make libglm-doc Multi-Arch: foreign.
  * Drop patches/fix-packing-test, a proper fix has been applied upstream.
  * Bump Standards-Version.

 -- Guus Sliepen <guus@debian.org>  Sat, 24 Jun 2017 17:27:12 +0200
