=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Priority: extra
 Build-Depends: debhelper (>= 10),
                cmake
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/glm.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/glm.git
 Homepage: http://glm.g-truc.net/
@@ -36,6 +36,7 @@
 
 Package: libglm-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
 Recommends: libjs-jquery
